Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## APStudio.wizards
Class APStudioProjectNewWizard

    java.lang.Object
      |
      +--org.eclipse.jface.wizard.Wizard
            |
            +--org.eclipse.ui.wizards.newresource.BasicNewResourceWizard
                  |
                  +--org.eclipse.ui.wizards.newresource.BasicNewProjectResourceWizard
                        |
                        +--APStudio.wizards.APStudioProjectNewWizard

All Implemented Interfaces:
  org.eclipse.core.runtime.IExecutableExtension, org.eclipse.ui.INewWizard, org.eclipse.jface.wizard.IWizard, org.eclipse.ui.IWorkbenchWizard

public class APStudioProjectNewWizard
extends org.eclipse.ui.wizards.newresource.BasicNewProjectResourceWizard
implements org.eclipse.core.runtime.IExecutableExtension

This is a sample new wizard. Its role is to create a new file resource in the provided container. If the container resource (a folder or a project) is selected in the workspace when the wizard is opened, it will accept it as the target container. The wizard creates one file with the extension "mpe". If a sample multi-page editor (also available as a template) is registered for the same extension, it will be able to open it.

Field Summary

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`APStudioProjectNewWizard()` Constructor for DAJProjectNewWizard.

Method Summary
`void` | `addPages()` Adding the page to the wizard.
`boolean` | `performFinish()` This method is called when 'Finish' button is pressed in the wizard.
`void` | `setInitializationData(org.eclipse.core.runtime.IConfigurationElement cfig, java.lang.String propertyName, java.lang.Object data)`

Methods inherited from class org.eclipse.ui.wizards.newresource.BasicNewProjectResourceWizard
`getNewProject, init, updatePerspective`

Methods inherited from class org.eclipse.ui.wizards.newresource.BasicNewResourceWizard
`getSelection, getWorkbench, selectAndReveal`

Methods inherited from class org.eclipse.jface.wizard.Wizard
`addPage, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

Constructor Detail

### APStudioProjectNewWizard

    public APStudioProjectNewWizard()

  Constructor for DAJProjectNewWizard.

Method Detail

### addPages

    public void addPages()

  Adding the page to the wizard.

  Specified by:
    `addPages` in interface `org.eclipse.jface.wizard.IWizard`
  Overrides:
    `addPages` in class `org.eclipse.ui.wizards.newresource.BasicNewProjectResourceWizard`

### performFinish

    public boolean performFinish()

  This method is called when 'Finish' button is pressed in the wizard. We will create an operation and run it using wizard as execution context.

  Specified by:
    `performFinish` in interface `org.eclipse.jface.wizard.IWizard`
  Overrides:
    `performFinish` in class `org.eclipse.ui.wizards.newresource.BasicNewProjectResourceWizard`

### setInitializationData

    public void setInitializationData(org.eclipse.core.runtime.IConfigurationElement cfig,
                                      java.lang.String propertyName,
                                      java.lang.Object data)

  Specified by:
    `setInitializationData` in interface `org.eclipse.core.runtime.IExecutableExtension`
  Overrides:
    `setInitializationData` in class `org.eclipse.ui.wizards.newresource.BasicNewProjectResourceWizard`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD